import React, { useState } from 'react'

import Page from 'components/page'
import { appTimezone, appVersion, appTheme } from 'appConfig'

export default function FrontPage() {
  const [apiHealth, setApiHealth] = useState('not yet')
  const [didContactApi, setDidContactApi] = useState(false)

  if (!didContactApi) {
    setDidContactApi(true)
    fetch('http://localhost:3000/api/health/')
      .then((res) => res.text())
      .then((result) => {
        if (result === 'OK') {
          setApiHealth('yes')
        } else {
          setApiHealth(result)
        }
      })
        // eslint-disable-next-line @typescript-eslint/no-unused-vars
      .catch((error) => {
        setApiHealth('error')
      })
  }
  return (
    <Page header="Greg main page">
      Version {appVersion}
      <br />
      Timezone {appTimezone}
      <br />
      Theme {appTheme}
      <br />
      API reachable? {apiHealth}
    </Page>
  )
}
